package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Etauil;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface EtauilMapper {

    int insert(Etauil record);

    int insertSelective(Etauil record);

    int updateByPrimaryKeySelective(Etauil record);

    int updateByPrimaryKey(Etauil record);

    int deleteByPrimaryKey(Etauil record);

    int deleteByIds(Collection<Object> collection);

    Etauil selectByPrimaryKey(Etauil record);

    Etauil selectByEtainrAndUil(@Param("etainr") String etainr, @Param("uil") String uil);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Etauil> dyncRead(Map<String, Object> dyncMap);

}